<?php

declare(strict_types=1);

namespace App\Administration\Domain\Exception;

use App\Administration\Domain\Model\SchoolCalendar\CalendarEntryId;
use DomainException;

use function sprintf;

final class CalendrierEntreeNonTrouveeException extends DomainException
{
    public static function avecId(CalendarEntryId $entryId): self
    {
        return new self(sprintf(
            'L\'entrée de calendrier avec l\'ID "%s" n\'a pas été trouvée.',
            (string) $entryId,
        ));
    }
}
